import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'custom_root_app_bar.g.dart';

@ComponentCopyWithExtension()
class CustomRootAppBar extends TopAppBarComponent
    with $CustomRootAppBarCWMixin {
  const CustomRootAppBar({super.title, super.key});

  @override
  Widget build(BuildContext context) => AppBar(
        title: Text(
          super.title?.data ?? '',
        ),
      );
}
